git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/.bash/exec.bash
diff options
context:
space:
mode:
authorHarald Pfeiffer <coding _ lirion.de> 2022-03-19 19:27:36 +0100
committerHarald Pfeiffer <coding _ lirion.de> 2022-03-19 19:27:36 +0100
commit53b55b4b10ef6344a882402d5dcaf11d87b78d3f (patch)
treea4c8f2248fe0ef17d2c7cd98a62adfc5f0a2a7ca /.bash/exec.bash
downloaddotfiles-53b55b4b10ef6344a882402d5dcaf11d87b78d3f.tar.bz2
Initial commit
Diffstat (limited to '.bash/exec.bash')
-rw-r--r--.bash/exec.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/.bash/exec.bash b/.bash/exec.bash
new file mode 100644
index 0000000..cabf2d8
--- /dev/null
+++ b/.bash/exec.bash
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+# vim:syntax=sh
+# check the window size after each command and, if necessary,
+# update the values of LINES and COLUMNS.
+shopt -s checkwinsize
+set bell-style visible
+
+# because on some hosts the login path is fucked, unset in .local
+# if it causes irritation:
+cd ~ || cd || exit 151